Subject: Re: [ANNOUNCEMENT] [1.7] Updated [security]: bash-3.2.49-23 and Windows 7 RC
From: "Vincent R." <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 03 Jul 2009 10:11:20 +0200
List-Id: <cygwin.cygwin.com>

>> Ok, so I can confirm a problem with bash 3.2.49-23 on Windows 7 RC build
>> 7100 64-bit. Basically, bash just crashes on startup. I don't have
>> access to a Vista machine right now but it's worthwhile confirming on
it.
> 
> I don't have access to any of these (just XP, here), so I can't really
> tell where things are crashing.  It works just fine for me.
> 
>> Frame     Function  Args
>> 0028CCE8  04FF0000  (6120B808, 6120C41C, 0028CD50, 61020360)
>> 0028CD78  61020293  (00000000, 0028CDB0, 610066C0, 7EFDE000)
> 
> 61020293 looks like an address in the dll range, probably cygwin1.dll. 
It
> would be nice to know what function is dying, but doing that may require
> rebuilding a bash image with debugging symbols.  Did you by chance do any
> rebasing?  Maybe this is a case where I didn't use the correct gcc-4
flags
> for compilation, at which point an updated binutils/gcc might fix things.
> 
Same problem here (I am attaching output from msvc debugger) :

'bash.exe': Loaded 'C:\Windows\SysWOW64\usp10.dll'
cYgFFFFFFFF 61156900'bash.exe': Loaded 'C:\Windows\SysWOW64\imm32.dll'
'bash.exe': Loaded 'C:\Windows\SysWOW64\msctf.dll'
cYgstd 28ccf5 d 3First-chance exception at 0xf9350000 in bash.exe:
0xC0000005: Access violation.
cYgSiGw00f 11 0x8D0 0x28CE94First-chance exception at 0xf9350000 in
bash.exe: 0xC0000005: Access violation.
cYgSiGw00f 11 0x8D0 0x28CE94The thread 'Win32 Thread' (0xfc8) has exited
with code 0 (0x0).
'bash.exe': Loaded 'C:\Windows\SysWOW64\psapi.dll'
The program '[0xBB8] bash.exe: Native' has exited with code 35584 (0x8b00).

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple